Skip to main content
Rule Logs

List all rule logs

Rule logs are created any time Synci attempts to apply a rule to a bank transaction. Each rule log references both the rule and the bank transaction, so you can use this endpoint to get all rule logs for a specific rule or bank transaction.

GET
/rule-logs
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

page[size]integerquerydefault:25

The number of results that will be returned per page.

page[number]integerquery

The page number to start the pagination from.

filter[rule_id]stringquery

Filter rule logs by the ID of the rule that was applied.

filter[transaction_id]stringquery

Filter rule logs by the ID of the transaction the rule was applied to.

filter[transaction_type]stringquery

Filter rule logs by the type of transaction the rule was applied to.

Filter rule logs by the ID of the transfer link the rule ran on.

filter[rule_action_id]stringquery

Filter rule logs by the ID of the rule action that was executed.

filter[field_name]stringquery

Filter rule logs by the name of the transaction field that was changed.

filter[success]booleanquery

Whether the rule action was successful.

Example: true
filter[undone_log_id]stringquery

Filter for undo entries by the ID of the original rule log they reverted.

Search for rule logs by commonly populated fields

sortenum<string>[]querydefault:["-id"]
includeenum<string>[]query

Response

application/json

Paginated set of RuleLogResource

dataobject[]required
metaobjectrequired